Closed Bug 954022 Opened 9 years ago Closed 9 years ago

CSS cleanup

Categories

(Instantbird :: Other, defect)

defect
Not set
minor

Tracking

(Not tracked)

RESOLVED INCOMPLETE

People

(Reporter: bugzilla, Assigned: tymerkaev)

Details

Attachments

(1 file, 1 obsolete file)

*** Original post on bio 585 by Azat Tymerkaev <tymerkaev AT gmail.com> at 2010-11-18 20:02:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
Assignee: nobody → bugzilla
Status: NEW → ASSIGNED
*** Original post on bio 585 at 2010-11-18 20:31:15 UTC ***

What does this entail? What files are being cleaned up? Are they to use new features or just making it better organized?
*** Original post on bio 585 at 2010-12-03 14:46:46 UTC ***

(In reply to comment #1)
> What does this entail? What files are being cleaned up? Are they to use new
> features or just making it better organized?

15:48:16 <tymerkaev> it mean removing unneeded/obsolete lines
Attached patch preferences v1 (obsolete) — Splinter Review
*** Original post on bio 585 as attmnt 434 by tymerkaev AT gmail.com at 2010-12-18 11:00:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352177 - Flags: review?
*** Original post on bio 585 by Azat Tymerkaev <tymerkaev AT gmail.com> at 2010-12-18 11:05:52 UTC ***

Comment on attachment 8352177 [details] [diff] [review] (bio-attmnt 434)
preferences v1


> #noPreviewImage {
>-  list-style-image: url("chrome://global/skin/icons/information-64.png");
>+  list-style-image: url("moz-icon://stock/gtk-dialog-info?size=menu");

Ooops, I mean moz-icon://stock/gtk-dialog-info?size=dialog.
*** Original post on bio 585 at 2010-12-20 12:35:02 UTC ***

Comment on attachment 8352177 [details] [diff] [review] (bio-attmnt 434)
preferences v1

>diff --git a/instantbird/themes/preferences-gnomestripe/preferences.css b/instantbird/themes/preferences-gnomestripe/preferences.css
>--- a/instantbird/themes/preferences-gnomestripe/preferences.css
>+++ b/instantbird/themes/preferences-gnomestripe/preferences.css

>@@ -108,53 +98,15 @@ radio[pane=paneAdvanced] {

>-/* Cookies Manager */
>-#cookiesChildren::-moz-tree-image(domainCol) {
>-  width: 16px;
>-  height: 16px;
>-  margin: 0px 2px;
>-  list-style-image: url("moz-icon://stock/gtk-file?size=menu");
>-}
>-
>-#paneApplications {
>-  margin-left: 4px;
>-  margin-right: 4px; 
>-  padding-left: 0;
>-  padding-right: 0; 
>-}
>-
>-#linksOpenInBox {
>-  margin-top: 5px;
>-}
>-
>-#paneAdvanced {
>-  padding-bottom: 10px;
>-}
>-#advancedPrefs {
>-  margin-left: 0;
>-  margin-right: 0; 
>-}
>-
>-#cookiesChildren::-moz-tree-image(domainCol, container) {
>-  list-style-image: url("moz-icon://stock/gtk-directory?size=menu");
>-}
>-
>-#cookieInfoBox {
>-  border: 1px solid ThreeDShadow;
>-  -moz-border-radius: 0px;
>-  margin: 4px;
>-  padding: 0px;
>+  margin: 0 3px 6px !important;
> }

Instantbird has no Cookies manager, but we do have elements with the ids paneApplications, paneAdvanced and advancedPrefs.


> #noPreviewBox {
>   background-color: -moz-Field;
>   color: -moz-FieldText;
>   border: 1px solid ThreeDShadow;
>-  -moz-border-radius: 10px;
>+  border-radius: 10px;
>   padding: 1.1em;
>   -moz-padding-start: 20px;
>-  margin-left: 1em;
>-  margin-right: 1em;
>+  margin: 0 1em;
> }
Are you sure the valie of margin top/bottom was already 0? Or is this an intentional change?


>diff --git a/instantbird/themes/preferences-winstripe/preferences.css b/instantbird/themes/preferences-winstripe/preferences.css
>--- a/instantbird/themes/preferences-winstripe/preferences.css
>+++ b/instantbird/themes/preferences-winstripe/preferences.css
>@@ -45,81 +45,43 @@
> }
> 
> radio[pane=paneMain] {
>-	-moz-image-region: rect(0px, 32px,  32px, 0px)
>-}
>-radio[pane=paneMain]:hover, 
>-radio[pane=paneMain][selected="true"]  {
>-	-moz-image-region: rect(32px, 32px,  64px, 0px)
>+	-moz-image-region: rect(0, 32px, 32px, 0)
> }
> 
> radio[pane=paneTabs] {
>-	-moz-image-region: rect(0px, 64px, 32px, 32px)
>-}
>-radio[pane=paneTabs]:hover, 
>-radio[pane=paneTabs][selected="true"] {
>-	-moz-image-region: rect(32px, 64px, 64px, 32px)
>+	-moz-image-region: rect(0, 64px, 32px, 32px)
> }
> 
> radio[pane=paneContent] {
>-	-moz-image-region: rect(0px, 96px,  32px, 64px)
>-}
>-radio[pane=paneContent]:hover, 
>-radio[pane=paneContent][selected="true"]  {
>-	-moz-image-region: rect(32px, 96px,  64px, 64px)
>+	-moz-image-region: rect(0, 96px, 32px, 64px)
> }
> 
> radio[pane=paneApplications] {
>-	-moz-image-region: rect(0px, 128px,  32px, 96px)
>-}
>-radio[pane=paneApplications]:hover, 
>-radio[pane=paneApplications][selected="true"]  {
>-	-moz-image-region: rect(32px, 128px,  64px, 96px)
>+	-moz-image-region: rect(0, 128px, 32px, 96px)
> }
> 
> radio[pane=panePrivacy] {
>-	-moz-image-region: rect(0px, 160px,  32px, 128px)
>-}
>-radio[pane=panePrivacy]:hover, 
>-radio[pane=panePrivacy][selected="true"]  {
>-	-moz-image-region: rect(32px, 160px,  64px, 128px)
>+	-moz-image-region: rect(0, 160px, 32px, 128px)
> }
> 
> radio[pane=paneThemes] {
>-	-moz-image-region: rect(0px, 192px,  32px, 160px)
>-}
>-radio[pane=paneThemes]:hover, 
>-radio[pane=paneThemes][selected="true"]  {
>-	-moz-image-region: rect(32px, 192px,  64px, 160px)
>+	-moz-image-region: rect(0, 192px, 32px, 160px)
> }
> 
> radio[pane=paneAdvanced] {
>-	-moz-image-region: rect(0px, 224px, 32px, 192px)
>-}
>-radio[pane=paneAdvanced]:hover, 
>-radio[pane=paneAdvanced][selected="true"] {
>-	-moz-image-region: rect(32px, 224px, 64px, 192px)
>+	-moz-image-region: rect(0, 224px, 32px, 192px)
> }

Why are the :hover and [selected="true"] rules no longer needed?

> #noPreviewBox {
>   background-color: -moz-Field;
>   color: -moz-FieldText;
>   border: 1px solid ThreeDShadow;
>-  -moz-border-radius: 10px;
>+  border-radius: 10px;
>   padding: 1.1em;
>   -moz-padding-start: 20px;
>-  margin-left: 1em;
>-  margin-right: 1em;
>+  margin: 0 1em;
> }
Same comment as before about the 0 margin top/bottom.
Comment on attachment 8352177 [details] [diff] [review]
preferences v1

*** Original change on bio 585 attmnt 434 by tymerkaev AT gmail.com at 2010-12-21 20:08:04 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352177 - Attachment is obsolete: true
Attachment #8352177 - Flags: review?
Attached patch preferences v2Splinter Review
*** Original post on bio 585 as attmnt 472 by tymerkaev AT gmail.com at 2011-01-08 17:56:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352215 - Flags: review?(florian)
Comment on attachment 8352177 [details] [diff] [review]
preferences v1

*** Original change on bio 585 attmnt 434 by tymerkaev AT gmail.com at 2011-01-08 17:58:14 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352177 - Attachment description: Cleanup and update preferences css (windows/linux) → preferences v1
Comment on attachment 8352215 [details] [diff] [review]
preferences v2

*** Original change on bio 585 attmnt 472 at 2011-01-14 16:15:38 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352215 - Flags: review?(florian) → review-
*** Original post on bio 585 at 2011-01-14 16:15:39 UTC ***

Comment on attachment 8352215 [details] [diff] [review] (bio-attmnt 472)
preferences v2

>diff --git a/instantbird/themes/preferences-gnomestripe/preferences.css b/instantbird/themes/preferences-gnomestripe/preferences.css
>--- a/instantbird/themes/preferences-gnomestripe/preferences.css
>+++ b/instantbird/themes/preferences-gnomestripe/preferences.css
>@@ -39,58 +39,48 @@
> */
> 
> /* Global Styles */
>-#BrowserPreferences radio[pane] {
>-  list-style-image: url("chrome://instantbird/skin/preferences/Options.png"); 
>+radio[pane] {
>+  list-style-image: url("chrome://instantbird/skin/preferences/Options.png");
> }

What's the reason for removing #BrowserPreferences here?


>@@ -107,54 +97,35 @@ radio[pane=paneAdvanced] {
> 
> /* Modeless Window Dialogs */
> .windowDialog,
>-.windowDialog prefpane {
>-  padding: 0px;
>+.windowDialog > prefpane {
>+  padding: 0;
> }
> 
> .contentPane {
>-  margin: 9px 8px 5px 8px;
>+  margin: 9px 8px 5px;
> }
> 
> .actionButtons {
>-  margin: 0px 3px 6px 3px !important;
>+  margin: 0 3px 6px !important;
> }

The windowDialog, contentPane and actionButtons classes seem used only in cookies.xul and permissions.xul in Firefox, and nowhere in Instantbird.


>-radio[pane=panePrivacy] {
>-	-moz-image-region: rect(0px, 160px, 32px, 128px);
>+/* Darken pane icon on :active:hover */
>+radio[pane]:active:hover > .paneButtonIcon {
>+  background-color: rgba(0,0,0,.4);
> }

Are you sure the difference between the current icons is *only* an opacity change?


>-prefpane .groupbox-title {
>+prefpane > .groupbox-title {
>   background: url("chrome://global/skin/50pct_transparent_grey.png") repeat-x bottom left;
>   margin-bottom: 4px;
> }

Could you please explain this change?

>-#paneMain description,
>-#paneContent description,
>-#panePrivacy description,
>-#paneAdvanced description,
>-#paneThemes description {
>+:-moz-any(#paneMain, #paneContent, #panePrivacy, #paneAdvanced, #paneThemes) > description {
>   font: -moz-dialog;
> }

The > operator here seems wrong.

>-#paneContent row {
>+#paneContent > row {
>   padding: 2px 4px;
>   -moz-box-align: center;
> }

What is this change for?

> 
>-#popupPolicyRow,
>-#enableSoftwareInstallRow,
>-#purpleConnectionBox,
>-#enableImagesRow {
>+:-moz-any(#popupPolicyRow, #enableSoftwareInstallRow, #purpleConnectionBox, #enableImagesRow) {

This change doesn't simplify anything, it's just more complicated to read.

>-#browserUseCurrent,
>-#browserUseBookmark,
>-#browserUseBlank {
>+:-moz-any(#browserUseCurrent, #browserUseBookmark, #browserUseBlank) {

Same here.



>diff --git a/instantbird/themes/preferences-winstripe/preferences.css b/instantbird/themes/preferences-winstripe/preferences.css
>--- a/instantbird/themes/preferences-winstripe/preferences.css
>+++ b/instantbird/themes/preferences-winstripe/preferences.css
>@@ -39,87 +39,49 @@
> */
> 
> /* Global Styles */
>-#BrowserPreferences radio[pane] {
>-  list-style-image: url("chrome://instantbird/skin/preferences/Options.png"); 
>+radio[pane] {
>+  list-style-image: url("chrome://instantbird/skin/preferences/Options.png");
>   padding: 5px 3px 1px;
> }

Why this change?

> 
> radio[pane=paneMain] {
>-	-moz-image-region: rect(0px, 32px,  32px, 0px)
>-}
>-radio[pane=paneMain]:hover, 
>-radio[pane=paneMain][selected="true"]  {
>-	-moz-image-region: rect(32px, 32px,  64px, 0px)
>+  -moz-image-region: rect(0, 32px, 32px, 0);
> }

Why are the :hover and [selected="true"] rules no longer needed?

>@@ -136,47 +98,34 @@ radio[pane=paneAdvanced][selected="true"
> 
> /* Modeless Window Dialogs */
> .windowDialog,
>-.windowDialog prefpane {
>-  padding: 0px;
>+.windowDialog > prefpane {
>+  padding: 0;
> }
> 
> .contentPane {
>-  margin: 9px 8px 5px 8px;
>+  margin: 9px 8px 5px;
> }
> 
> .actionButtons {
>-  margin: 0px 3px 6px 3px !important;
>+  margin: 0 3px 6px !important;
> }

I commented previously about this for the file of another OS.

>+#paneApplications {
>+  margin-left: 4px;
>+  margin-right: 4px;
>+  padding-left: 0;
>+  padding-right: 0;
> }

What is this for?
*** Original post on bio 585 at 2011-09-09 10:07:48 UTC ***

If no work is currently happening here and we have no clearly defined goal, should we resolve this as INCOMPLETE?
*** Original post on bio 585 at 2011-09-09 10:45:20 UTC ***

We can open a new more focused bugs for any CSS clean up.
Status: ASSIGNED → RESOLVED
Closed: 9 years ago
Resolution: --- → INCOMPLETE
There was missing email mapping information for this bug during the BIO to BMO merge, manually assigning this bug.
Assignee: bugzilla → tymerkaev
You need to log in before you can comment on or make changes to this bug.